package com.railway.business.app.service;

import com.railway.business.app.domain.AppTask;
import java.util.List;

/**
 * apk更新任务
 *
 * @author zhaomn
 * @date 2021/12/13
 */
public interface IAppTaskService {

  /**
   * 新增
   */
  int create(AppTask appTask);

  /**
   * 删除
   */
  int delete(String[] ids);

  /**
   * 更新
   */
  int update(AppTask appTask);

  /**
   * 获取单个
   */
  AppTask getInfo(String id);

  /**
   * 查询列表
   */
  List<AppTask> getList(AppTask appTask);

}
